<query>
	<name>Cisco Router - Get CPUs</name>
	<description>Queries a Cisco router for managed CPUs and usage stats</description>
	<script_path>|path_cacti|/scripts/ss_cisco_cpu_usage.php</script_path>
	<script_function>ss_cisco_cpu_usage</script_function>
	<script_server>php</script_server>
	<arg_prepend>|host_hostname|:|host_snmp_version|:|host_snmp_community|:|host_snmp_username|:|host_snmp_password|:|host_snmp_auth_protocol|:|host_snmp_priv_passphrase|:|host_snmp_priv_protocol|:|host_snmp_context|:|host_snmp_port|:|host_snmp_timeout|</arg_prepend>
	<arg_index>index</arg_index>
	<arg_query>query</arg_query>
	<arg_get>get</arg_get>
	<output_delimeter>:</output_delimeter>
	<index_order>cpuDevice</index_order>
	<index_order_type>numeric</index_order_type>
	<index_title_format>|chosen_order_field|</index_title_format>

	<fields>
		<cpuDevice>
			<name>CPU ID</name>
			<direction>input</direction>
			<query_name>cpuDevice</query_name>
		</cpuDevice>
		<cpuName>
			<name>CPU Name</name>
			<direction>input</direction>
			<query_name>cpuName</query_name>
		</cpuName>
		<cpuDesc>
			<name>CPU Description</name>
			<direction>input</direction>
			<query_name>cpuDesc</query_name>
		</cpuDesc>

		<oneMin>
			<name>1 minute average</name>
			<direction>output</direction>
			<query_name>oneMin</query_name>
		</oneMin>
		<fiveMin>
			<name>5 minute average</name>
			<direction>output</direction>
			<query_name>fiveMin</query_name>
		</fiveMin>
	</fields>
</query>
